> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get My Assistant

> Get the current user's assistant.



## OpenAPI

````yaml /openapi.json get /api/v1/assistant/me
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/assistant/me:
    get:
      tags:
        - Assistant
      summary: Get My Assistant
      description: Get the current user's assistant.
      operationId: get_my_assistant_api_v1_assistant_me_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssistantResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    AssistantResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        user_id:
          type: string
          format: uuid
          title: User Id
        hired_agent_id:
          type: string
          format: uuid
          title: Hired Agent Id
        name:
          type: string
          title: Name
        persona_preset:
          type: string
          title: Persona Preset
        active_skills:
          items:
            type: string
          type: array
          title: Active Skills
        personality:
          additionalProperties: true
          type: object
          title: Personality
        avatar:
          type: string
          title: Avatar
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - user_id
        - hired_agent_id
        - name
        - persona_preset
        - active_skills
        - personality
        - avatar
        - created_at
        - updated_at
      title: AssistantResponse
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````